# TODO: package lisp files:
#    /usr/share/common-lisp/source/gpgme/gpgme-package.lisp
#    /usr/share/common-lisp/source/gpgme/gpgme.asd
#    /usr/share/common-lisp/source/gpgme/gpgme.lisp
#
# Conditional build:
%bcond_without	gpgsm		# with gnupg S/MIME support
%bcond_without	static_libs	# do not build static libraries
%bcond_with	tests		# perform tests
#
Summary:	Library for accessing GnuPG
Summary(pl.UTF-8):	Biblioteka dająca dostęp do funkcji GnuPG
Name:		gpgme
Version:	1.6.0
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2
# Source0-md5:	60d730d22e8065fd5de309e8b98e304b
Patch0:		%{name}-info.patch
Patch1:		%{name}-kill-tests.patch
Patch2:		%{name}-1.2.0-largefile.patch
URL:		http://www.gnupg.org/gpgme.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.14
BuildRequires:	libassuan-devel >= 1:2.0.2
BuildRequires:	libgpg-error-devel >= 1.11
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
BuildConflicts:	gnupg < 1.3.0
%{!?with_gpgsm:Requires:	gnupg >= 1.4.0}
%{?with_gpgsm:Requires:	gnupg-smime >= 1.9.8}
%{?with_gpgsm:Requires:	gnupg2 >= 2.0.4}
Requires:	libassuan >= 1:2.0.2
Requires:	libgpg-error >= 1.11
Obsoletes:	cryptplug
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for accessing GnuPG.

%description -l pl.UTF-8
Biblioteka dająca dostęp do funkcji GnuPG.

%package devel
Summary:	Header files for GPGME library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GPGME
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libassuan-devel >= 1:2.0.2
Requires:	libgpg-error-devel >= 1.11

%description devel
Header files for GPGME library, needed for compiling programs using
GPGME.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GPGME, potrzebne do kompilacji programów
używających GPGME.

%package static
Summary:	Static version of GPGME library
Summary(pl.UTF-8):	Statyczna wersja biblioteki GPGME
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of GPGME library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki GPGME.

%prep
%setup -q
%patch0 -p1
%{!?with_tests:%patch1 -p1}
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static} \
	%{?with_gpgsm:--with-gpgsm=/usr/bin/gpgsm} \
	%{!?with_gpgsm:--without-gpgsm} \
	--with-gpg=/usr/bin/gpg%{?with_gpgsm:2}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README ChangeLog THANKS TODO NEWS AUTHORS
%attr(755,root,root) %{_bindir}/gpgme-tool
%attr(755,root,root) %{_libdir}/libgpgme.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpgme.so.11
%attr(755,root,root) %{_libdir}/libgpgme-pthread.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpgme-pthread.so.11

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpgme-config
%attr(755,root,root) %{_libdir}/libgpgme.so
%attr(755,root,root) %{_libdir}/libgpgme-pthread.so
%{_libdir}/libgpgme.la
%{_libdir}/libgpgme-pthread.la
%{_includedir}/gpgme.h
%{_aclocaldir}/gpgme.m4
%{_infodir}/gpgme.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgpgme.a
%{_libdir}/libgpgme-pthread.a
%endif
%changelog
* Tue Sep 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gpgme.git;a=log;h=master

* Mon Sep 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 4d4896e
- updated to 1.6.0

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 49842bb
- updated to 1.5.5

* Sat Apr 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 74664a9
- updated to 1.5.4

* Thu Feb 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 2beac43
- updated to 1.5.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e263863
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> d158acd
- updated to 1.5.2

* Fri Aug 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 2345bad
- updated to 1.5.1 (fixes CVE-2014-3564)

* Tue May 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 5e2e9b9
- updated to 1.5.0

* Thu Aug 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 217548c
- updated to 1.4.3
- added texinfo patch (fixes build with texinfo 5.x)

* Thu May 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 035a99a
- up to 1.4.2

* Thu May 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 468e1ff
- up to 1.4.1

* Sat Mar 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 8c09205
- updated to 1.4.0

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> bd130b6
- updated to 1.3.2
- pth support has been dropped

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f033e6
- rel 2; fix typo in largefile patch

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 342a6fb
- updated to 1.3.1
- updated largefile patch

* Wed Feb 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 44f0380
- rel 3; largefile patch from fc

* Sun Sep 12 2010 Tomasz Pala <gotar@pld-linux.org> 5becb41
- devel R: libassuan-devel >= 1:1.1.0, rel. 2

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 08535d4
- libassuan epoch

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> f85acd4
- updated to 1.3.0

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> b07ea44
- revert broken adapter part

